For the complete documentation index, see llms.txt. This page is also available as Markdown.

AttributeSets

Introduction

AttributeSets group additional attributes and provide them as a carrier for AttributeFields.

An AttributeSet is assigned to target entities (currently departments and roles). The set controls which fields are shown and how default values are resolved.

Model Definition

Alias

attributeSet

Target Entity Types

  • department - Makes the Attribute Set available to Departments.

  • role - Makes the Attribute Set available to Roles.

Capabilities

Relations

Relation
Key
Type
Relation Field(s)

user

Belongs to

user_id

formFields

Has many

form_fields.form_id, form_fields.form_type

layouts

Has many

layouts.layoutable_type, layouts.layoutable_id

List

List visible AttributeSets.

Definition

GET /api/additional-attributes/sets

Example Request

Example Response

Show

Show one AttributeSet.

Definition

GET /api/additional-attributes/sets/{attributeSet}

Route Parameters

Parameter
Type
Description

attributeSet

integer

AttributeSet ID.

Example Request

Example Response

Default values

Resolve effective default values for all fields of an AttributeSet.

Definition

GET /api/additional-attributes/sets/{attributeSet}/default-values

Route Parameters

Parameter
Type
Description

attributeSet

integer

AttributeSet ID.

Behavior

  • Values are resolved from configured AttributeFieldDefaultValueSources.

  • Sources are evaluated by sort_number per field.

  • The first resolvable source wins.

  • Response keys are form_field_id values.

Example Request

Example Response

Admin: List

List all AttributeSets in administration scope.

Definition

GET /api/administration/additional-attributes/sets

Example Request

Example Response

Admin: List available sets for entity type

List assignable AttributeSets for a target entity type.

Definition

GET /api/administration/additional-attributes/{entityType}/available-sets

Route Parameters

Parameter
Type
Description

entityType

string

Selects one of the supported Target Entity Types.

Example Request

Example Response

Admin: Show

Show one AttributeSet in administration scope.

Definition

GET /api/administration/additional-attributes/sets/{attributeSet}

Route Parameters

Parameter
Type
Description

attributeSet

integer

AttributeSet ID.

Example Request

Example Response

Admin: Create

Create a new AttributeSet.

Definition

POST /api/administration/additional-attributes/sets

Request Keys

Key
Type
Default
Description

lang_id

string

system language

Language key for translatable fields.

key*

string

-

Unique technical key of the attribute set.

title*

string

-

Display title of the attribute set.

Keys with * are required.

Example Request

Example Response

Admin: Update

Update an existing AttributeSet.

Definition

PUT /api/administration/additional-attributes/sets/{attributeSet}

Route Parameters

Parameter
Type
Description

attributeSet

integer

AttributeSet ID.

Request Keys

Key
Type
Description

lang_id

string

Language key.

key

string

Unique technical key of the attribute set.

title

string

Display title of the attribute set.

Example Request

Example Response

Admin: Delete

Delete an existing AttributeSet.

Definition

DELETE /api/administration/additional-attributes/sets/{attributeSet}

Route Parameters

Parameter
Type
Description

attributeSet

integer

AttributeSet ID.

Example Request

Example Response

List by target entity (Department)

List assigned AttributeSets for a specific Department.

Definition

GET /api/departments/{attributeSetTargetEntity}/additional-attributes/sets

Route Parameters

Parameter
Type
Description

attributeSetTargetEntity

integer

Department ID.

Example Request

Example Response

Default values by target entity (Department)

Resolve default values for one AttributeSet in department context.

Definition

GET /api/departments/{attributeSetTargetEntity}/additional-attributes/sets/{attributeSet}/default-values

Route Parameters

Parameter
Type
Description

attributeSetTargetEntity

integer

Department ID.

attributeSet

integer

AttributeSet ID.

Example Request

Example Response

Behavior

The value for system-variable based defaults depends on request context, such as the authenticated user.

List by target entity (Role)

List assigned AttributeSets for a specific Role.

Definition

GET /api/roles/{attributeSetTargetEntity}/additional-attributes/sets

Route Parameters

Parameter
Type
Description

attributeSetTargetEntity

integer

Role ID.

Example Request

Example Response

Default values by target entity (Role)

Resolve default values for one AttributeSet in role context.

Definition

GET /api/roles/{attributeSetTargetEntity}/additional-attributes/sets/{attributeSet}/default-values

Route Parameters

Parameter
Type
Description

attributeSetTargetEntity

integer

Role ID.

attributeSet

integer

AttributeSet ID.

Example Request

Example Response

Behavior

The value for system-variable based defaults depends on request context, such as the authenticated user.

Linking AttributeSets to target entities

The linking is done on target-entity update routes (for example Roles and Departments) via attribute_set_ids.

You can pass plain IDs:

Or objects with sort_number:

Last updated